/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.netbeans.modules.j2ee.dd.api.ejb;

//
// This interface has all of the bean info accessor methods.
//
import org.netbeans.modules.j2ee.dd.api.common.CommonDDBean;
import org.netbeans.modules.j2ee.dd.api.common.DescriptionInterface;

public interface Query extends CommonDDBean, DescriptionInterface {

    public static final String QUERY_METHOD = "QueryMethod";	// NOI18N
    public static final String RESULT_TYPE_MAPPING = "ResultTypeMapping";	// NOI18N
    public static final String EJB_QL = "EjbQl";	// NOI18N
    public static final String EJBQLID = "EjbQlId";	// NOI18N
    public static final String RESULT_TYPE_MAPPING_REMOTE = "Remote"; // NOI18N
    public static final String RESULT_TYPE_MAPPING_LOCAL = "Local"; // NOI18N
        
    public void setQueryMethod(QueryMethod value);
    
    public QueryMethod getQueryMethod();
    
    public QueryMethod newQueryMethod();
    
    public void setResultTypeMapping(String value);
    
    public String getResultTypeMapping();
    
    public void setEjbQl(String value);
    
    public String getEjbQl();
        
}

