/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.netbeans.modules.maven.groovy.extender;

/**
 *
 * @author Anton V. Kirilchik
 */
class MavenConstants {

    public static final String GROOVY_GROUP_ID = "org.codehaus.groovy"; // NOI18N
    public static final String GROOVY_ARTIFACT_ID = "groovy-all";       // NOI18N
    public static final String GROOVY_VERSION = "2.4.5";                // NOI18N

    public static final String MAVEN_COMPILER_GROUP_ID = "org.apache.maven.plugins"; // NOI18N
    public static final String MAVEN_COMPILER_ARTIFACT_ID = "maven-compiler-plugin"; // NOI18N
    public static final String MAVEN_COMPILER_VERSION = "3.3";                       // NOI18N

    public static final String GROOVY_ECLIPSE_COMPILER_GROUP_ID = "org.codehaus.groovy";           // NOI18N
    public static final String GROOVY_ECLIPSE_COMPILER_ARTIFACT_ID = "groovy-eclipse-compiler";    // NOI18N
    public static final String GROOVY_ECLIPSE_BATCH_ARTIFACT_ID = "groovy-eclipse-batch";          // NOI18N
    public static final String GROOVY_ECLIPSE_COMPILER_VERSION = "2.9.2-01";                       // NOI18N
    public static final String GROOVY_ECLIPSE_BATCH_VERSION = "2.4.3-01 ";                         // NOI18N
    
    public static final String COMPILER_ID_PROPERTY = "compilerId"; // NOI18N
}
