/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.netbeans.modules.html.editor.test;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;

/**
 *
 * @author Marek Fukala
 */
public class Utils {

    public static String readFileContentToString(File file) throws IOException {
        StringBuffer buff = new StringBuffer();

        BufferedReader rdr = new BufferedReader(new FileReader(file));

        String line;

        try{
            while ((line = rdr.readLine()) != null){
                buff.append(line).append("\n");
            }
        } finally{
            rdr.close();
        }
        
        return buff.toString();
    }
    
}
