/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.netbeans.jellytools.modules.debugger;

import org.netbeans.jellytools.JellyTestCase;
import org.netbeans.junit.NbTest;

/**
 * Test of BreakpointsWindowOperator.
 *
 * @author Martin Schovanek
 */
public class BreakpointsWindowOperatorTest extends JellyTestCase {

    public BreakpointsWindowOperatorTest(java.lang.String testName) {
        super(testName);
    }

    public static NbTest suite() {
        return (NbTest) createModuleTest(BreakpointsWindowOperatorTest.class, "testInvoke");
    }

    /** Print out test name. */
    @Override
    public void setUp() {
        System.out.println("### " + getName() + " ###");
    }

    /**
     * Test of invoke method
     */
    public void testInvoke() {
        BreakpointsWindowOperator bwo = BreakpointsWindowOperator.invoke();
        bwo.close();
    }
}
