/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.netbeans.modules.subversion.ui.copy;

import org.tigris.subversion.svnclientadapter.SVNRevision;

/**
 *
 * @author  Petr Kuzel
 */
public class MergeBranchPanel extends javax.swing.JPanel {

    /** Creates new form WorkdirPanel */
    public MergeBranchPanel() {
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        setName(org.openide.util.NbBundle.getMessage(MergeBranchPanel.class, "CTL_MergeSincePanel_Message")); // NOI18N

        mergeEndRepositoryFolderLabel.setLabelFor(mergeEndUrlComboBox);
        org.openide.awt.Mnemonics.setLocalizedText(mergeEndRepositoryFolderLabel, org.openide.util.NbBundle.getMessage(MergeBranchPanel.class, "CTL_MergeBranchPanel_RepositoryFolder")); // NOI18N
        mergeEndRepositoryFolderLabel.setToolTipText(org.openide.util.NbBundle.getMessage(MergeBranchPanel.class, "CTL_MergeBranchPanel_RepositoryFolderTT")); // NOI18N

        mergeEndUrlComboBox.setEditable(true);

        org.openide.awt.Mnemonics.setLocalizedText(mergeEndBrowseButton, org.openide.util.NbBundle.getMessage(MergeBranchPanel.class, "CTL_MergeBranchPanel_Browse")); // NOI18N
        mergeEndBrowseButton.setToolTipText(org.openide.util.NbBundle.getMessage(MergeBranchPanel.class, "CTL_MergeBranchPanel_BrowseTT")); // NOI18N

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(mergeEndRepositoryFolderLabel)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(mergeEndUrlComboBox, 0, 392, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(mergeEndBrowseButton))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(mergeEndBrowseButton)
                    .addComponent(mergeEndRepositoryFolderLabel)
                    .addComponent(mergeEndUrlComboBox, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        mergeEndUrlComboBox.getAccessibleContext().setAccessibleName("Repository URL ");
        mergeEndUrlComboBox.getAccessibleContext().setAccessibleDescription("Repository URL");
    }// </editor-fold>//GEN-END:initComponents
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    final javax.swing.JButton mergeEndBrowseButton = new javax.swing.JButton();
    final javax.swing.JLabel mergeEndRepositoryFolderLabel = new javax.swing.JLabel();
    final javax.swing.JComboBox mergeEndUrlComboBox = new javax.swing.JComboBox();
    // End of variables declaration//GEN-END:variables
    
}
