/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.netbeans.modules.versioning.ui.options;

import org.netbeans.spi.options.AdvancedOption;
import org.netbeans.spi.options.OptionsPanelController;
import org.openide.util.NbBundle;

/**
 *
 * @author Tomas Stupka
 */
public final class HistoryOptions extends AdvancedOption {
    public static final String OPTIONS_SUBPATH = "History"; // NOI18N

    public HistoryOptions() {
    }
    
    public String getDisplayName () {
        return NbBundle.getMessage (HistoryOptions.class, "HistoryOptions.displayName");    // NOI18N
    }

    public String getTooltip () {
        return NbBundle.getMessage (HistoryOptions.class, "HistoryOptions.toolTip");        // NOI18N
    }

    public OptionsPanelController create () {
        return new HistoryOptionsController();
    }
}
