/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.netbeans.modules.form.editors2;

import java.awt.Color;
import org.netbeans.modules.form.FormPropertyEditorManager;
import org.openide.util.NbBundle;
import org.netbeans.modules.form.NamedPropertyEditor;
import org.netbeans.modules.form.ResourceWrapperEditor;

/**
 * A wrapper of a default property editor for colors allowing to define the
 * colors as resources.
 * 
 * @author Tomas Pavek
 */
public class ColorEditor extends ResourceWrapperEditor implements NamedPropertyEditor {
    
    public ColorEditor() {
        super(FormPropertyEditorManager.findBasicEditor(Color.class));
    }

    @Override
    public String getDisplayName() {
        return NbBundle.getMessage(ColorEditor.class, "ColorEditor_DisplayName"); // NOI18N
    }
}
