/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.netbeans.modules.j2ee.persistence.editor;

/**
 * Constants for persistence configuration file tags and attribute names
 * 
 * @author sergey petrov
 */
public class PersistenceCfgXmlConstants {
    
    public static final String PROPERTY_TAG = "property";//NOI18N
    public static final String JTA_DATA_SOURCE = "jta-data-source";//NOI18N
    public static final String CLASS = "class";//NO18N
    public static final String MAPPING_FILE = "mapping-file";//NO18N
    public static final String PROVIDER = "provider";//NO18N
    public static final String EXCLUDE_UNLISTED_CLASSES = "exclude-unlisted-classes";//NOI18N
    
    public static final String NAME_ATTRIB = "name";//NO18N
    public static final String VALUE_ATTRIB = "value";//NO18N

}
