/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.netbeans.modules.java.editor.base.options;

/**
 *
 * @author Dusan Balek
 */
public final class MarkOccurencesSettingsNames {

    public static String ON_OFF = "OnOff"; // NOI18N
    public static String TYPES = "Types"; // NOI18N
    public static String METHODS = "Methods"; // NOI18N
    public static String CONSTANTS = "Constants"; // NOI18N
    public static String FIELDS = "Fields"; // NOI18N
    public static String LOCAL_VARIABLES = "LocalVariables"; // NOI18N
    public static String EXCEPTIONS = "Exceptions"; // NOI18N
    public static String EXIT = "Exit"; // NOI18N
    public static String IMPLEMENTS = "Implements"; // NOI18N
    public static String OVERRIDES = "Overrides"; // NOI18N
    public static String BREAK_CONTINUE = "BreakContinue"; // NOI18N
    public static String KEEP_MARKS = "KeepMarks"; // NOI18N

    private MarkOccurencesSettingsNames() {
    }    
}
