/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.netbeans.modules.spring.beans;

/**
 *
 * @author Rohan Ranade (Rohan.Ranade@Sun.COM)
 */
public final class BeansAttributes {

    private BeansAttributes() {
    }
    
    public static final String DEPENDS_ON = "depends-on"; // NOI18N
    public static final String PARENT = "parent"; // NOI18N
    public static final String FACTORY_BEAN = "factory-bean"; // NOI18N
    public static final String NAME = "name"; // NOI18N
    public static final String DEFAULT_LAZY_INIT = "default-lazy-init"; // NOI18N
    public static final String AUTOWIRE = "autowire"; // NOI18N
    public static final String DEFAULT_MERGE = "default-merge"; // NOI18N
    public static final String DEFAULT_DEPENDENCY_CHECK = "default-dependency-check"; // NOI18N
    public static final String DEFAULT_AUTOWIRE = "default-autowire"; // NOI18N
    public static final String DEPENDENCY_CHECK = "dependency-check"; // NOI18N
    public static final String LAZY_INIT = "lazy-init"; // NOI18N
    public static final String ABSTRACT = "abstract"; // NOI18N
    public static final String AUTOWIRE_CANDIDATE = "autowire-candidate"; // NOI18N
    public static final String MERGE = "merge"; // NOI18N
    public static final String RESOURCE = "resource"; // NOI18N
    public static final String INIT_METHOD = "init-method"; // NOI18N
    public static final String DESTROY_METHOD = "destroy-method"; // NOI18N
    public static final String CLASS = "class"; // NOI18N
    public static final String VALUE_TYPE = "value-type"; // NOI18N
    public static final String KEY_TYPE = "key-type"; // NOI18N
    public static final String TYPE = "type"; // NOI18N
    public static final String REF = "ref"; // NOI18N
    public static final String BEAN = "bean"; // NOI18N
    public static final String LOCAL = "local"; // NOI18N
    public static final String KEY_REF = "key-ref"; // NOI18N
    public static final String VALUE_REF = "value-ref"; // NOI18N
    public static final String REPLACER = "replacer";  // NOI18N
    public static final String FACTORY_METHOD = "factory-method"; // NOI18N
    public static final String ID = "id"; // NOI18N
    public static final String PRIMARY = "primary"; // NOI18N
    public static final String ALIAS = "alias"; // NOI18N
    public static final String BASE_PACKAGE = "base-package"; // NOI18N
}
