/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.netbeans.modules.spring.beans;

/**
 *
 * @author Rohan Ranade (Rohan.Ranade@Sun.COM)
 */
public final class BeansElements {

    private BeansElements() {
    }
    
    public static final String BEAN = "bean"; // NOI18N
    public static final String ALIAS = "alias"; // NOI18N
    public static final String BEANS = "beans"; // NOI18N
    public static final String LIST = "list"; // NOI18N
    public static final String SET = "set"; // NOI18N
    public static final String MAP = "map"; // NOI18N
    public static final String PROPS = "props"; // NOI18N
    public static final String IMPORT = "import"; // NOI18N
    public static final String VALUE = "value"; // NOI18N
    public static final String CONSTRUCTOR_ARG = "constructor-arg"; // NOI18N
    public static final String REF = "ref"; // NOI18N
    public static final String IDREF = "idref"; // NOI18N
    public static final String ENTRY = "entry"; // NOI18N
    public static final String PROPERTY = "property"; // NOI18N
    public static final String LOOKUP_METHOD = "lookup-method"; // NOI18N
    public static final String REPLACED_METHOD = "replaced-method";  // NOI18N
    public static final String COMPONENT_SCAN = "component-scan";  // NOI18N
    
}
