/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.netbeans.modules.php.editor.parser.astnodes;

/**
 *
 * @author Ondrej Brejla <obrejla@netbeans.org>
 */
public class DereferencedArrayAccess extends Dispatch {
    private final ArrayDimension dimension;

    public DereferencedArrayAccess(int start, int end, VariableBase dispatcher, ArrayDimension dimension) {
        super(start, end, dispatcher);
        this.dimension = dimension;
    }

    @Override
    public VariableBase getMember() {
        return getDispatcher();
    }

    public ArrayDimension getDimension() {
        return dimension;
    }

    @Override
    public void accept(Visitor visitor) {
        visitor.visit(this);
    }

    @Override
    public String toString() {
        return "" + getMember() + getDimension(); //NOI18N
    }

}
