/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.netbeans.modules.autoupdate.ui;

import java.awt.Dimension;
import javax.swing.JButton;
import javax.swing.JLabel;

/**
 *
 * @author  Radek Matous
 */
public class HeaderPanel extends javax.swing.JPanel {

    /** Creates new form HeaderPanel */
    public HeaderPanel() {
        initComponents();
    }
    
    
    @Override
    public Dimension getPreferredSize() {
        Dimension d = super.getPreferredSize();
        d.width = getParent().getSize().width;
        return d;
    }
    
    
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        java.awt.GridBagConstraints gridBagConstraints;

        title = new javax.swing.JLabel();
        button = new javax.swing.JButton();
        button2 = new javax.swing.JButton();

        setLayout(new java.awt.GridBagLayout());

        title.setText("jLabel1");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.weightx = 1.0;
        add(title, gridBagConstraints);

        button.setText("jButton1");
        button.setOpaque(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 0;
        add(button, gridBagConstraints);

        button2.setText(org.openide.util.NbBundle.getMessage(HeaderPanel.class, "HeaderPanel.button2.text")); // NOI18N
        button2.setOpaque(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 5);
        add(button2, gridBagConstraints);
    }// </editor-fold>//GEN-END:initComponents
    
    JLabel getTitle() {
        return title;
    }
    
    JButton getButton() {
        return button;
    }
    
    JButton getButton2() {
        return button2;
    }
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton button;
    private javax.swing.JButton button2;
    private javax.swing.JLabel title;
    // End of variables declaration//GEN-END:variables
    
}
