/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.openide.actions;

import org.openide.util.HelpCtx;
import org.openide.util.NbBundle;
import org.openide.util.actions.CallbackSystemAction;


/** Search for something.
*
* @author   Miloslav Metelka
*/
public class FindAction extends CallbackSystemAction {
    public String getName() {
        return NbBundle.getMessage(FindAction.class, "Find");
    }

    public HelpCtx getHelpCtx() {
        return new HelpCtx(FindAction.class);
    }

    @Override
    protected String iconResource() {
        return null;
        // #111508: Find action should not have an icon in the main menu
        // return "org/openide/resources/actions/find.gif"; // NOI18N
    }

    @Override
    protected boolean asynchronous() {
        return false;
    }
}
