/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.netbeans.modules.profiler.api.icons;

/**
 *
 * @author Jiri Sedlacek
 */
public interface LanguageIcons extends Icons.Keys {
    
    public static final String CLASS = "LanguageIcons.Class"; // NOI18N
    public static final String CLASS_ANONYMOUS = "LanguageIcons.ClassAnonymous"; // NOI18N
    public static final String CONSTRUCTOR_PACKAGE = "LanguageIcons.ConstructorPackage"; // NOI18N
    public static final String CONSTRUCTOR_PRIVATE = "LanguageIcons.ConstructorPrivate"; // NOI18N
    public static final String CONSTRUCTOR_PROTECTED = "LanguageIcons.ConstructorProtected"; // NOI18N
    public static final String CONSTRUCTOR_PUBLIC = "LanguageIcons.ConstructorPublic"; // NOI18N
    public static final String CONSTRUCTORS = "LanguageIcons.Constructors"; // NOI18N
    public static final String INITIALIZER = "LanguageIcons.Initializer"; // NOI18N
    public static final String INITIALIZER_STATIC = "LanguageIcons.InitializerStatic"; // NOI18N
    public static final String INTERFACE = "LanguageIcons.Interface"; // NOI18N
    public static final String LIBRARIES = "LanguageIcons.Libraries"; // NOI18N
    public static final String METHOD_PACKAGE = "LanguageIcons.MethodPackage"; // NOI18N
    public static final String METHOD_PRIVATE = "LanguageIcons.MethodPrivate"; // NOI18N
    public static final String METHOD_PROTECTED = "LanguageIcons.MethodProtected"; // NOI18N
    public static final String METHOD_PUBLIC = "LanguageIcons.MethodPublic"; // NOI18N
    public static final String METHOD_PACKAGE_STATIC = "LanguageIcons.MethodPackageStatic"; // NOI18N
    public static final String METHOD_PRIVATE_STATIC = "LanguageIcons.MethodPrivateStatic"; // NOI18N
    public static final String METHOD_PROTECTED_STATIC = "LanguageIcons.MethodProtectedStatic"; // NOI18N
    public static final String METHOD_PUBLIC_STATIC = "LanguageIcons.MethodPublicStatic"; // NOI18N
    public static final String METHOD_INHERITED = "LanguageIcons.MethodInheritedStatic"; // NOI18N
    public static final String METHODS = "LanguageIcons.Methods"; // NOI18N
    public static final String METHOD = "LanguageIcons.Method"; // NOI18N
    public static final String PACKAGE = "LanguageIcons.Package"; // NOI18N
    public static final String VARIABLE_PACKAGE = "LanguageIcons.VariablePackage"; // NOI18N
    public static final String VARIABLE_PRIVATE = "LanguageIcons.VariablePrivate"; // NOI18N
    public static final String VARIABLE_PROTECTED = "LanguageIcons.VariableProtected"; // NOI18N
    public static final String VARIABLE_PUBLIC = "LanguageIcons.VariablePublic"; // NOI18N
    public static final String VARIABLE_PACKAGE_STATIC = "LanguageIcons.VariablePackageStatic"; // NOI18N
    public static final String VARIABLE_PRIVATE_STATIC = "LanguageIcons.VariablePrivateStatic"; // NOI18N
    public static final String VARIABLE_PROTECTED_STATIC = "LanguageIcons.VariableProtectedStatic"; // NOI18N
    public static final String VARIABLE_PUBLIC_STATIC = "LanguageIcons.VariablePublicStatic"; // NOI18N
    public static final String VARIABLES = "LanguageIcons.Variables"; // NOI18N
    public static final String ARRAY = "LanguageIcons.Array"; // NOI18N
    public static final String INSTANCE = "LanguageIcons.Instance"; // NOI18N
    public static final String PRIMITIVE = "LanguageIcons.Primitive"; // NOI18N
    public static final String JAR = "LanguangeIcons.Jar"; // NOI18N
}
