/**
 * Support for constants (also known as "immutable variables"), i.e., variables which cannot be re-assigned new content. Notice: this only makes the variable itself immutable, not its assigned content (for instance, in case the content is an object, this means the object itself can still be altered).
 * @type Number
 */
const PI_CONST = 3.14;  

/**
 * @constant
 * @type String
 */
var ANOTHER = "test"


console.log(PI_CONST);